Package org.bukkit.block.data.type

# Interface Dispenser

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface Dispenser extends Directional
Similar to `Powerable`, 'triggered' indicates whether or not the dispenser is currently activated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTriggered()`
Gets the value of the 'triggered' property.
`void`
`setTriggered(boolean triggered)`
Sets the value of the 'triggered' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### isTriggered

boolean isTriggered()
Gets the value of the 'triggered' property.

Returns:
  the 'triggered' value

### setTriggered

void setTriggered(boolean triggered)
Sets the value of the 'triggered' property.

Parameters:
  `triggered` - the new 'triggered' value